<form [formGroup]="form">
  <!-- Selectable TermTypes -->
  <mat-expansion-panel *ngFor="let type of SELECTABLE_TERM_TYPES">
    <mat-expansion-panel-header>
      <mat-panel-title>
        {{ type }} ({{ termCounters[type] || 0 }})
      </mat-panel-title>
    </mat-expansion-panel-header>
    <div [formArrayName]="type">
      <div *ngFor="let control of getControls(type); let i = index">
        <label>
          <input type="checkbox" [formControl]="control" />
          {{ groupedItems[type][i]?.termName }}
        </label>
      </div>
    </div>
  </mat-expansion-panel>

  <!-- Non-Selectable TermTypes -->
  <!-- <div *ngFor="let type of NON_SELECTABLE_TERM_TYPES">
    <h3>{{ type }} ({{ termCounters[type] || 0 }})</h3>
    <ul>
      <li *ngFor="let item of groupedItems[type]">
        {{ item.termName }}
      </li>
    </ul>
  </div>
</form> -->
